# $Revision: 1.9.2.1 $, $Date: 2003/07/20 15:58:33 $
%define		_realname	wood
%define		_mozver		1.2.1
Summary:	Wooden theme based on LittleMozilla
Summary(pl):	Drewniany motyw bazujcy na LittleMozilla
Name:		mozilla-theme-wood
Version:	1.2
%define	_fver	%(echo %{version} | tr -d .)
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://downloads.uk1.mozdev.org/rsync/themes/themes/%{_realname}_%{_fver}.jar
# Source0-md5:	787b7c7b9576c0a4136f06047f68b4ee
Source1:	%{_realname}-installed-chrome.txt
URL:		http://themes.mozdev.org/themes/wood.html
Requires(post,postun):	textutils
Requires:	mozilla >= %{_mozver}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{_realname}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_chromedir	%{_libdir}/mozilla/chrome

%description
Theme made with care for details. All browser elements are made of
wood. Small buttons and toolbars leave big workspace.

%description -l pl
Motyw wykonany z wielkim wyczuciem i dbaoci o szczegy. Wszystkie
elementy przegldarki s wykonane drewna. Niewielkie przyciski i paski
narzdziowe pozwalaj na maksymalne wykorzystanie przestrzeni roboczej.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

install %{SOURCE0} $RPM_BUILD_ROOT%{_chromedir}/%{_realname}.jar
install %{SOURCE1} $RPM_BUILD_ROOT%{_chromedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%postun
umask 022
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_realname}.jar
%{_chromedir}/%{_realname}-installed-chrome.txt

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mozilla-theme-wood.spec,v $
Revision 1.9.2.1  2003/07/20 15:58:33  blues
- prefix for RA

Revision 1.9  2003/07/20 15:57:37  blues
- 1.2 - version for mozilla 1.2.x

Revision 1.8  2003/06/24 21:34:50  ankry
- s/downloads.mozdev.org/downloads.us-east1.mozdev.org/
- fixed md5

Revision 1.7  2003/05/28 12:59:47  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:50:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/02/23 23:52:41  ankry
- s/temat/motyw/g

Revision 1.4  2003/01/20 22:50:57  qboosh
- use umask in scripts, Requires(post,postun): textutils (cat)

Revision 1.3  2003/01/18 22:54:54  juandon
- removed two lines with define

Revision 1.2  2002/06/24 21:27:17  qboosh
- en description, cosmetics

Revision 1.1  2002/06/24 12:02:51  jojoro
- initial release
